Bug 1236747

Summary: dnf local plugin does not work by default because nothing creates /var/lib/dnf/plugins/local
Product: [Fedora] Fedora Reporter: Chris Siebenmann <cks-rhbugzilla>
Component: dnf-plugins-extrasAssignee: rpm-software-management
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: medium    
Version: 24CC: billcrawford1970, jkadlcik, jsilhan, mluscon, packaging-team-maint, vmukhame
Target Milestone: ---Keywords: Reopened, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-11-30 10:57:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Chris Siebenmann 2015-06-29 21:46:24 UTC
Description of problem:

If you install python-dnf-plugins-extras-local, the plugin
doesn't actually work because nothing creates the default
/var/lib/dnf/plugins/local directory that it attempts to save RPMs to.

Version-Release number of selected component (if applicable):

python-dnf-plugins-extras-local-0.0.8-1.fc22.noarch
dnf-1.0.1-2.fc22.noarch

How reproducible:

Totally.

Steps to Reproduce:

1. Install a fresh Fedora 22 machine
2. do 'dnf install python-dnf-plugins-extras-local'
3. use dnf to install some package you don't already have installed
4. at the end of the install, dnf will report:

	local: '/var/lib/dnf/plugins/local' is not a directory

Actual results:

The local plugin prints an error and does not save a copy of the
RPMs you just installed.

Expected results:

The local plugin saves RPMs to /var/lib/dnf/plugins/local.

Additional info:

Note that neither /var/lib/dnf/plugins nor /var/lib/dnf/plugins/local
is created.

Comment 1 Igor Gnatenko 2015-06-30 16:46:08 UTC
Yes, my fault. Will fix ASAP.

Comment 2 Fedora End Of Life 2016-07-19 15:07:28 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Chris Siebenmann 2016-07-19 15:54:49 UTC
This remains a bug in Fedora 24. It reproduces exactly as it did in Fedora
22.

Comment 4 Fedora Admin XMLRPC Client 2016-07-21 12:41:18 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Igor Gnatenko 2016-11-30 10:57:26 UTC

*** This bug has been marked as a duplicate of bug 1209862 ***